> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List payment gateway accounts

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/payment_gateway_accounts

This method returns a list of payment gateway accounts and basic information about them.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/payments/paymentgatewayaccounts/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

## Response

### 200

Successful response.

- `paymentGatewayAccounts` (list of paymentGatewayAccount, optional) — A list of payment gateway accounts.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### paymentGatewayAccount

This object contains details about a payment gateway account.

- `allowCustomMetadata` (boolean, optional) — When **true,** the sender can pass custom metadata about the payment to the payment gateway. You pass in this metadata on an EnvelopeRecipientTab, in the `customMetadata` property under `paymentDetails`. For example, this property is set to **true** for the Authorize.net gateway by default. As a result, the extra metadata that you send displays for the Authorize.net transaction in the merchant gateway portal under **Description.** **Note:** This property is read-only and cannot be changed.
- `config` (paymentGatewayAccountSetting, optional)
- `displayName` (string, optional) — A user-defined name for a connected gateway account. This name is used in the Admin panel in the list of connected accounts and in Tagger in the payment gateway selector. The human-readable version of `paymentGatewayAccountId`.
- `isEnabled` (string, optional) — When **true,** the payment gateway account is enabled.
- `isLegacy` (string, optional) — Reserved for Docusign.
- `lastModified` (string, optional) — The UTC DateTime that the payment gateway account was last updated.
- `paymentGateway` (string, optional) — Payment gateway used by the connected gateway account. This is the name used by the API. For a human-readable version use `paymentGatewayDisplayName`. Possible values are: - `Stripe` - `Braintree` - `AuthorizeDotNet` - `CyberSource` - `Zuora` - `Elavon`
- `paymentGatewayAccountId` (string, optional) — A GUID that identifies the payment gateway account. For a human-readable version use `displayName`.
- `paymentGatewayDisplayName` (string, optional) — The display name of the payment gateway that the connected gateway account uses. This is the human-readable version of `paymentGateway`. Possible values are: - Stripe - Braintree - Authorize.Net - CyberSource - Zuora - Elavon
- `payPalLegacySettings` (payPalLegacySettings, optional)
- `supportedCurrencies` (list of string, optional) — A list of ISO 4217 currency codes for the currencies that the payment gateway account supports. Examples: - `USD` - `CAD` - `EUR` - `HKD`
- `supportedPaymentMethods` (list of string, optional) — An array of paymentMethodWithOptions objects that specify the payment methods that are available for the gateway.
- `supportedPaymentMethodsWithOptions` (list of paymentMethodWithOptions, optional) — An array of `paymentMethodWithOptions` objects that specify the payment methods that are available for the gateway, as well as the payment options that are compatible with each payment method.
- `zeroDecimalCurrencies` (list of string, optional)

### paymentGatewayAccountSetting

- `apiFields` (string, optional)
- `authorizationCode` (string, optional)
- `credentialStatus` (string, optional)
- `merchantId` (string, optional)

### payPalLegacySettings

- `currency` (string, optional) — The three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code for the payment. For example: - AUD Australian dollar - CAD Canadian dollar - EUR Euro - GBP Great Britain pound - USD United States dollar This is a read-only property.
- `partner` (string, optional)
- `password` (string, optional) — The user's password. This property is used only when adding a new user via a [Users: create](/docs/esign-rest-api/reference/users/users/create/) request. The value must conform to the password rules defined in the account [Security Settings](https://apps-d.docusign.com/admin/authenticate?goTo=securityInfo). This property is not returned by `GET` requests and cannot be updated via `PUT` requests.
- `userName` (string, optional) — The name of the user.
- `vendor` (string, optional)

### paymentMethodWithOptions

This object contains information about a payment method that the gateway accepts and the payment options that are compatible with it.

- `supportedCurrencies` (list of string, optional) — A list of ISO 4217 currency codes for the currencies that the payment gateway account supports. Examples: - `USD` - `CAD` - `EUR` - `HKD`
- `supportedOptions` (list of string, optional) — The payment options that are compatible with the payment method in the `type` property. Possible values are: - `save` - `save_and_authorize` - `authorize`
- `type` (string, optional) — The name of a payment method that the gateway accepts. Possible values are: - `CreditCard` - `ApplePay` - `AndroidPay` - `BankAccount` - `PayPal`

## Examples

**Response**

```json
{
  "paymentGatewayAccounts": [
    {
      "allowCustomMetadata": true,
      "config": {
        "apiFields": "sample string 1",
        "authorizationCode": "sample string 2",
        "credentialStatus": "sample string 3",
        "merchantId": "sample string 4"
      },
      "displayName": "sample string 1",
      "isEnabled": "sample string 2",
      "isLegacy": "sample string 3",
      "lastModified": "sample string 4",
      "paymentGateway": "sample string 5",
      "paymentGatewayAccountId": "sample string 6",
      "paymentGatewayDisplayName": "sample string 7",
      "payPalLegacySettings": {
        "currency": "sample string 1",
        "partner": "sample string 2",
        "password": "sample string 3",
        "userName": "sample string 4",
        "vendor": "sample string 5"
      },
      "supportedCurrencies": [
        "sample string 1"
      ],
      "supportedPaymentMethods": [
        "sample string 1"
      ],
      "supportedPaymentMethodsWithOptions": [
        {
          "supportedCurrencies": [
            "sample string 1"
          ],
          "supportedOptions": [
            "sample string 1"
          ],
          "type": "sample string 1"
        }
      ],
      "zeroDecimalCurrencies": [
        "sample string 1"
      ]
    }
  ]
}
```